using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace RapidLayoutTutorial
{
    public partial class RapidLayoutTutorial : Form
    {
        public RapidLayoutTutorial()
        {
            InitializeComponent();
            this.DoubleBuffered = true;
            this.SetStyle(ControlStyles.AllPaintingInWmPaint, true);
            this.SetStyle(ControlStyles.OptimizedDoubleBuffer, true);

            listBox.SelectedIndex = 0;
            contentPanel.SizeChanged += new EventHandler(contentPanel_SizeChanged);
            
        }

        void contentPanel_SizeChanged(object sender, EventArgs e)
        {
 //           throw new Exception("The method or operation is not implemented.");
        }

        private void listBox_SelectedIndexChanged(object sender, EventArgs e)
        {
            this.SuspendLayout();
            contentPanel.Controls.Clear();
            if (listBox.SelectedIndex == 0)
            {
                RapidLayoutControl item = new RapidLayoutControl();
                item.Dock = DockStyle.Fill;
                contentPanel.Controls.Add(item);
            }
            else if (listBox.SelectedIndex == 1)
            {
                NameAndAddress item = new NameAndAddress();
                item.Dock = DockStyle.Fill;
                contentPanel.Controls.Add(item);
            }
            else if (listBox.SelectedIndex == 2)
            {
                Calculator item = new Calculator();
                item.Dock = DockStyle.Fill;
                contentPanel.Controls.Add(item);
            }
            this.ResumeLayout();
        }
        protected override void OnLayout(LayoutEventArgs levent)
        {
            base.OnLayout(levent);
        }

        private void button1_Click(object sender, EventArgs e)
        {
            Close();
        }
    }
}